import { CreateTransformer } from '../type';
/**
 * Maps normalized value to normalized polar coordinate at the center of the bounding box.
 * It is used for Nightingale Rose Diagram.
 * @param params [x0, x1, y0, y1]
 * @param x x of the the bounding box of coordinate
 * @param y y of the the bounding box of coordinate
 * @param width width of the the bounding box of coordinate
 * @param height height of the the bounding box of coordinate
 * @returns transformer
 */
export declare const polar: CreateTransformer;
/**
 * Maps normalized value to normalized polar coordinate at the center of the bounding box.
 * The radius dimension is fixed to 1.
 * It is used for Pie Chart.
 * @param args same as polar
 * @returns transformer
 */
export declare const polarTheta: CreateTransformer;
/**
 * Maps normalized value to normalized polar coordinate at the center of the bounding box.
 * The angle dimension is fixed to 1.
 * It is used for Concentric Circles.
 * @param args same as polar
 * @returns transformer
 */
export declare const polarRho: CreateTransformer;
