"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.scale = void 0;
/* eslint-disable @typescript-eslint/no-unused-vars */
var matrix_util_1 = require("@antv/matrix-util");
/**
 * Apply scale transformation for current vector.
 * @param params [sx, sy]
 * @param x x of the the bounding box of coordinate
 * @param y y of the the bounding box of coordinate
 * @param width width of the the bounding box of coordinate
 * @param height height of the the bounding box of coordinate
 * @returns transformer
 */
var scale = function (params, x, y, width, height) {
    var _a = params, sx = _a[0], sy = _a[1];
    var matrix = matrix_util_1.mat3.create();
    return matrix_util_1.mat3.fromScaling(matrix, [sx, sy]);
};
exports.scale = scale;
//# sourceMappingURL=scale.js.map