"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.extend = void 0;
// 对普通的变换函数进行扩展
// 对于长度大于2的向量，两两为一个点的 x 和 y 坐标
// 依次变换后合成新的向量返回
function extend(transform) {
    return function (vector) {
        var v = [];
        for (var i = 0; i < vector.length; i += 2) {
            var from = [vector[i], vector[i + 1]];
            var to = transform(from);
            v.push.apply(v, to);
        }
        return v;
    };
}
exports.extend = extend;
//# sourceMappingURL=extend.js.map